package com.ruoyi.dz.mapper;

import java.util.List;
import com.ruoyi.dz.domain.DzSelectSubject;

/**
 * 科目组合Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-27
 */
public interface DzSelectSubjectMapper 
{
    /**
     * 查询科目组合
     * 
     * @param groupId 科目组合主键
     * @return 科目组合
     */
    public DzSelectSubject selectDzSelectSubjectByGroupId(String groupId);

    /**
     * 查询科目组合列表
     * 
     * @param dzSelectSubject 科目组合
     * @return 科目组合集合
     */
    public List<DzSelectSubject> selectDzSelectSubjectList(DzSelectSubject dzSelectSubject);

    /**
     * 新增科目组合
     * 
     * @param dzSelectSubject 科目组合
     * @return 结果
     */
    public int insertDzSelectSubject(DzSelectSubject dzSelectSubject);

    /**
     * 修改科目组合
     * 
     * @param dzSelectSubject 科目组合
     * @return 结果
     */
    public int updateDzSelectSubject(DzSelectSubject dzSelectSubject);

    /**
     * 删除科目组合
     * 
     * @param groupId 科目组合主键
     * @return 结果
     */
    public int deleteDzSelectSubjectByGroupId(String groupId);

    /**
     * 批量删除科目组合
     * 
     * @param groupIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDzSelectSubjectByGroupIds(String[] groupIds);
}
